Bug 707869 - Firefox not opening links called from apps
Firefox not opening links called from apps
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
15
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 04:23 EDT by Arthur Buliva
Modified: 2011-07-30 09:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-28 04:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Buliva 2011-05-26 04:23:31 EDT
Description of problem:

Whenever I click on a link on Empathy or Evolution, Firefox opens up OK but it goes to the home page instead of opening the requested link. 


Version-Release number of selected component (if applicable):
Firefox 4.0.1 (firefox-4.0.1-2.fc15.i686)

How reproducible:
Always happens

Steps to Reproduce:
1. Set Firefox as the default browser
2. Click on a link in either Empathy or Evolution
  
Actual results:
Firefox opens home page

Expected results:
Firefox should open the clicked link


Additional info:
I have tried setting Google Chrome as default browser and it opens the links OK. I also tried disabling all extensions on Firefox but was not successful in getting the links to open.
Comment 1 Matěj Cepl 2011-07-27 01:36:57 EDT
(In reply to comment #0)
> Whenever I click on a link on Empathy or Evolution, Firefox opens up OK but it
> goes to the home page instead of opening the requested link. 

Please give us result for these two commands:

locate \*firefox\*.desktop

and (that should be one line)

locate \*firefox\*.desktop|while read DSFILE ; do echo $DSFILE: ; grep ^Exec $DSFILE ; done

Thank you
Comment 2 Matěj Cepl 2011-07-27 01:39:16 EDT
For comparison, my results:

bradford:~ $ locate \*firefox\*.desktop
/home/matej/.local/share/applications/mozilla-firefox.desktop
/usr/share/applications/mozilla-firefox.desktop
bradford:~ $ locate \*firefox\*.desktop|while read DSFILE ; do echo $DSFILE: ; grep ^Exec $DSFILE ; done
/home/matej/.local/share/applications/mozilla-firefox.desktop:
Exec=aurora %u
/usr/share/applications/mozilla-firefox.desktop:
Exec=firefox %u
bradford:~ $ 

(ignore the fact that one of my firefoxes is in the shell script named aurora ... testing requires using various unstable versions).
Comment 3 Arthur Buliva 2011-07-27 13:22:14 EDT
[arthur@armadillo ~]$ locate \*firefox\*.desktop
/home/arthur/.local/share/applications/mozilla-firefox.desktop
/usr/share/applications/mozilla-firefox.desktop
[arthur@armadillo ~]$ locate \*firefox\*.desktop|while read DSFILE ; do echo $DSFILE: ;
> grep ^Exec $DSFILE ; done
/home/arthur/.local/share/applications/mozilla-firefox.desktop:
Exec=firefox
/usr/share/applications/mozilla-firefox.desktop:
Exec=firefox %u
[arthur@armadillo ~]
Comment 4 Matěj Cepl 2011-07-27 20:13:40 EDT
What happens if you just remove /home/arthur/.local/share/applications/mozilla-firefox.desktop ?

Thank you for the patience with us
Comment 5 Arthur Buliva 2011-07-28 04:24:13 EDT
Thank you Matej! I uninstalled Firefox, deleted the file, then installed it a fresh. It now works OK. You rock!
Comment 6 Matěj Cepl 2011-07-28 11:15:16 EDT
Glad I could help.

Closing as NOTABUG (although it might be interesting to find what created that /home/arthur/.local/share/applications/mozilla-firefox.desktop, but Ars longa, vita brevis, err. life is short, bugs are many ;))
Comment 7 Arthur Buliva 2011-07-30 09:44:34 EDT
Could it be remnants of upgrading from ff 4?

Note You need to log in before you can comment on or make changes to this bug.